Subject: Re: auto-merge after push?

From: "Michael S. Tsirkin" <[email-masked]>
Date: Thu, 11 Jun 2009 13:40:20 +0300

On Mon, May 11, 2009 at 11:03:27PM +0200, Johannes Schindelin wrote:
> Hi,
> 
> On Mon, 11 May 2009, Michael S. Tsirkin wrote:
> 
> > On Mon, May 11, 2009 at 05:18:06PM +0200, Johannes Schindelin wrote:
> > > The thing is, a merge can fail.  And then you already need direct access 
> > > to the working directory in question.
> > > 
> > > If you were actually talking about fast-forward pushes (because you did 
> > > the merge locally already), this might help you:
> > > 
> > > 	http://thread.gmane.org/gmane.comp.version-control.git/110251
> > 
> > Sounds good. But it looks like this patch is unlikely to be merged, does 
> > it not?
> 
> Unlikely to be merged by Junio?  Without success stories, certainly.
> 
> But you can do the same as I did: run your local Git with that patch.  I 
> am actually growing fonder and fonder of denyCurrentBranch=updateInstead.  
> It works beautifully here.
> 
> Of course, I always know what I am doing.
> 
> Ciao,
> Dscho
> 
> P.S.: :-)

So here's a success story:

I have been using this patch for 1 month now, on all my trees, with
denyCurrentBranch=updateInstead
I find it very useful for several reasons:
- I commit on my development machine, then push to test machine
- I debug and fix an issue on test machine, push change back to devel machine
- If I'm going from home to the office, I just push into the machine at the office, and when
  I get there the tree is set up and ready for me to hack on, same on my way back

Of course all the same things can be accomplished with a set of scripts,
but frankly I never got them to be as flexible and easy to use as this
patch. This patch simply works for me. Thanks for it Johannes, and I
hope it makes it into upstream at some point, so that more people can
benefit from it.

-- 
MST